🚧 [Experimental] Update wizard chart

Updates the specified wizard chart.

Request

POST

http://<хост_on-premises>/rpc/updateWizardChart

Headers

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

Body

application/json
{
  "entryId": "example",
  "template": "datalens",
  "annotation": {
    "description": "example"
  },
  "mode": "save",
  "data": {}
}

Name

Description

data

Type: object

[additional]

Type: unknown

Example: null

Example
{}

entryId

Type: string

Example: example

mode

Type: EntryUpdateMode

Entry update mode.

Enum: save, publish

template

Type: string

Const: datalens

Example: example

annotation

Type: EntryAnnotationArg

Example
{
  "description": "example"
}

[additional]

Type: unknown

Example: null

EntryAnnotationArg

Name

Description

description

Type: string

Description of the entry.

Example: example

Example
{
  "description": "example"
}

EntryUpdateMode

Entry update mode.

Type: string

Enum: save, publish

Responses

200 OK

Response

Body

application/json
{}

Name

Description

[additional]

Type: unknown

Example: null